Subject: Re: [rohc] SigComp with EPIC compression for SIP messages

From: Carsten Bormann <[email-masked]>
Date: Tue, 22 Feb 2005 14:44:57 +0100

On Feb 22 2005, at 12:58 Uhr, Lars-Erik Jonsson (LU/EAB) wrote:

> At one
> point, I know we said this document was not supposed to define 
> algorithms,
> but only cover well-known algorithms and show how to implement them in
> the UDVM.

I did not remember the second half (well-known algorithms only) of that 
-- then it indeed would be a mistake to keep the EPIC-inspired 
hierarchical huffman in there.
(It is more interesting than other potential examples because I believe 
it did influence the UDVM design a bit.
Maybe we can preserve the material by moving it to an appendix?)

Gruesse, Carsten

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Tue, 22 Feb 2005 12:58:56 +0100

Carsten,

I agree that it represents a useful example of what the UDVM can do.
However, my point was basically that all the other algorithms covered
are both well-known and clearly defined elsewhere, i.e. there are
references to give to the reader. The EPIC algorithm is thus an exception,
and therefore I think the document should at least make clearer that
there is no well specified/standardised algorithm to refer to. At one
point, I know we said this document was not supposed to define algorithms,
but only cover well-known algorithms and show how to implement them in
the UDVM. With that criteria, I do not think the EPIC example belongs
there, but of course we can change the scope of the document, if people
agree that is desirable. 

BR
/L-E (with chair hat on)

> -----Original Message-----
> From: Carsten Bormann [mailto:[email-masked]]
> Sent: den 22 februari 2005 12:40
> To: Lars-Erik Jonsson (LU/EAB)
> Cc: Carsten Bormann; [email-masked]; [email-masked]; [email-masked];
> 'Lepine, Jean-Pierre'
> Subject: Re: [rohc] SigComp with EPIC compression for SIP messages
> 
> 
> On Feb 21 2005, at 08:50 Uhr, Lars-Erik Jonsson (LU/EAB) wrote:
> 
> > The SigComp user guide did (I am not sure about the new 
> version just 
> > released) refer to EPIC, which is probably a mistake as 
> algorithms are 
> > not specified in that document, and there is no reference 
> > available for an EPIC algorithm.
> 
> I'm not sure it's a mistake, as a reader skilled in the art 
> can deduct 
> what this all is about from the UDVM code given.
> (If I were giving this to my students, they would complain about the 
> cruelty of the assignment, though...)
> Even if you are not interested in the details of hierarchical 
> huffman, 
> the code is still useful as a demonstration of the UDVM's 
> capabilities.
> 
> Gruesse, Carsten
> 
>